/*
  Warnings:

  - You are about to alter the column `age` on the `Animal` table. The data in that column could be lost. The data in that column will be cast from `Int` to `Float`.
  - Added the required column `picture` to the `Animal` table without a default value. This is not possible if the table is not empty.

*/
-- RedefineTables
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_Animal" (
    "id" TEXT NOT NULL PRIMARY KEY,
    "name" TEXT NOT NULL,
    "description" TEXT NOT NULL,
    "age" REAL NOT NULL,
    "sex" BOOLEAN NOT NULL,
    "type" TEXT NOT NULL,
    "picture" TEXT NOT NULL,
    "acceptedRequestId" TEXT,
    "addedAt" DATETIME NOT NULL,
    "adoptedAt" DATETIME,
    CONSTRAINT "Animal_acceptedRequestId_fkey" FOREIGN KEY ("acceptedRequestId") REFERENCES "Request" ("id") ON DELETE SET NULL ON UPDATE CASCADE
);
INSERT INTO "new_Animal" ("acceptedRequestId", "addedAt", "adoptedAt", "age", "description", "id", "name", "sex", "type") SELECT "acceptedRequestId", "addedAt", "adoptedAt", "age", "description", "id", "name", "sex", "type" FROM "Animal";
DROP TABLE "Animal";
ALTER TABLE "new_Animal" RENAME TO "Animal";
PRAGMA foreign_key_check;
PRAGMA foreign_keys=ON;
