import { BrowserRouter, Route, Routes } from 'react-router-dom';
import MainPage from './MainPage';
import AnimalPage from './AnimalPage/AnimalPage';
import CreateAnimal from './NewAnimal/CreateAnimal';

export const Pages = () => {
  return (
    <BrowserRouter>
      <Routes>
        <Route path="/" element={<MainPage />}/>
        <Route path="/animal/:id" element={<AnimalPage />} />
        <Route path="/animal/create"  element={<CreateAnimal />} />
      </Routes>
    </BrowserRouter>
  );
};

export default Pages;
